Package ch.qos.logback.classic.selector.servlet

## Class ContextDetachingSCL

- java.lang.Object
- - ch.qos.logback.classic.selector.servlet.ContextDetachingSCL

All Implemented Interfaces:
  `java.util.EventListener`, `javax.servlet.ServletContextListener`

    public class ContextDetachingSCL
    extends java.lang.Object
    implements javax.servlet.ServletContextListener

### Constructor Summary

Constructors
`ContextDetachingSCL()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contextDestroyed​(javax.servlet.ServletContextEvent servletContextEvent)`
`void` `contextInitialized​(javax.servlet.ServletContextEvent arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextDetachingSCL

    public ContextDetachingSCL()

### Method Detail

#### contextInitialized

    public void contextInitialized​(javax.servlet.ServletContextEvent arg0)

Specified by:
  `contextInitialized` in interface `javax.servlet.ServletContextListener`

#### contextDestroyed

    public void contextDestroyed​(javax.servlet.ServletContextEvent servletContextEvent)

Specified by:
  `contextDestroyed` in interface `javax.servlet.ServletContextListener`